Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Object Storage
  • Pricing policy
  • Terraform reference
    • API authentication
      • How to use the API
      • Signing requests
      • Getting started with the S3 API
        • All services and methods
          • All methods
          • CreateBucket
          • GetBucketEncryption
          • HeadBucket
          • ListObjects
          • ListBuckets
          • DeleteBucket
          • DeleteBucketEncryption
          • PutBucketEncryption
          • PutBucketVersioning
          • GetBucketVersioning
          • PutBucketLogging
          • GetBucketLogging
          • ListObjectVersions
          • PutObjectLockConfiguration
          • GetObjectLockConfiguration
          • PutBucketTagging
          • GetBucketTagging
          • DeleteBucketTagging
        • Common request headers
        • Common response headers
        • Responses
  • Monitoring metrics
  • Audit Trails events
  • Bucket logs
  • Release notes
  • FAQ

In this article:

  • Request
  • Path parameters
  • Query parameters
  • Headings
  • Response
  • Headers
  • Response codes
  • Data schema
  1. API reference
  2. AWS S3 REST
  3. REST
  4. Bucket
  5. ListObjectVersions

Object Storage API, Amazon S3-compatible REST: ListObjectVersions

Written by
Yandex Cloud
Updated at August 20, 2026
View in Markdown
  • Request
    • Path parameters
    • Query parameters
    • Headings
  • Response
    • Headers
    • Response codes
    • Data schema

Returns metadata for all versions of objects in the bucket.
You can also use request parameters as a selection criterion to return metadata about a subset of object versions.

For more information on getting started with the API and the general request format, see How to use the S3 API.

RequestRequest

GET /{bucket}?versions&delimiter=Delimiter&encoding-type=EncodingType&key-marker=KeyMarker&max-keys=MaxKeys&prefix=Prefix&version-id-marker=VersionIdMarker HTTP/2

Path parametersPath parameters

Parameter

Description

bucket

Bucket name

Query parametersQuery parameters

All parameters listed in the table are optional.

Parameter

Description

delimiter

Delimiter character.

If this parameter is specified, Object Storage interprets the key as the path to the file with folders separated by the delimiter character. In the response, the user will get a list of files and folders in the bucket. Files will be output in the Contents elements, and folders, in the CommonPrefixes elements.

If the request also specifies the prefix parameter, Object Storage will return a list of files and folders in the prefix folder.

encoding-type

Encoding of server responses.

Object Storage can encode responses in the format requested by the client.

The possible value is url.

key-marker

Key to start the output from.

In the output, Object Storage will leave the keys starting from the one that follows key-marker.

max-keys

Maximum number of elements in a response.

By default, Object Storage outputs no more than 1,000 Contents and CommonPrefixes elements. Use this parameter if you need fewer than 1,000 elements in a single response.

If the selection criteria are met by more keys than can fit into the output, the response will contain <IsTruncated>true</IsTruncated>.

To get all the output elements if their number exceeds max-keys, run multiple consecutive requests to Object Storage with the key-marker parameter, where the key-marker and version-id-marker of each request are equal to the values of the NextKeyMarker and NextVersionIdMarker elements in the previous response.

prefix

String to start the key from.

Object Storage selects only those keys which start with prefix.

Can be used together with delimiter. In this case, the output logic is the same as that specified in the delimiter parameter description.

version-id-marker

Object version to start the output from.

In the output, Object Storage will leave the versions starting from the one following version-id-marker.

HeadingsHeadings

Use only common headers in your requests.

ResponseResponse

HeadersHeaders

Responses can only contain common headers.

Response codesResponse codes

For a list of possible responses, see Responses.

A successful response contains additional data in XML format with the schema described below.

Data schemaData schema

<?xml version="1.0" encoding="UTF-8"?>
<ListVersionsResult>
   <IsTruncated>boolean</IsTruncated>
   <KeyMarker>string</KeyMarker>
   <VersionIdMarker>string</VersionIdMarker>
   <NextKeyMarker>string</NextKeyMarker>
   <NextVersionIdMarker>string</NextVersionIdMarker>
   <Version>
      <ETag>string</ETag>
      <IsLatest>boolean</IsLatest>
      <Key>string</Key>
      <LastModified>timestamp</LastModified>
      <Owner>
         <DisplayName>string</DisplayName>
         <ID>string</ID>
      </Owner>
      <Size>integer</Size>
      <StorageClass>string</StorageClass>
      <VersionId>string</VersionId>
   </Version>
   ...
   <DeleteMarker>
      <IsLatest>boolean</IsLatest>
      <Key>string</Key>
      <LastModified>timestamp</LastModified>
      <Owner>
         <DisplayName>string</DisplayName>
         <ID>string</ID>
      </Owner>
      <VersionId>string</VersionId>
   </DeleteMarker>
   ...
   <Name>string</Name>
   <Prefix>string</Prefix>
   <Delimiter>string</Delimiter>
   <MaxKeys>integer</MaxKeys>
   <CommonPrefixes>
      <Prefix>string</Prefix>
   </CommonPrefixes>
   ...
   <EncodingType>string</EncodingType>
</ListVersionsResult>

Element

Description

ListVersionsResult

Root element.

CommonPrefixes

Key name part identified when processing the delimiter and prefix request parameters.

Path: /ListVersionsResult/CommonPrefixes.

DeleteMarker

Container for an object that is a delete marker.

Path: /ListVersionsResult/DeleteMarker.

Delimiter

Value of the delimiter request parameter.

Path: /ListVersionsResult/Delimiter.

EncodingType

Encoding used by Object Storage to provide a key in an XML response.

You will get this tag if the client provided the encoding-type parameter in the request.

Path: /ListVersionsResult/EncodingType.

IsTruncated

Tag that indicates that a list is incomplete.

If IsTruncated is true, this means Object Storage returned an incomplete list of parts.

Path: /ListVersionsResult/IsTruncated.

KeyMarker

Last key returned in the incomplete response.

Path: /ListVersionsResult/KeyMarker.

MaxKeys

Value of the max-keys request parameter.

Path: /ListBucketResult/MaxKeys.

Name

Bucket name.

Path: /ListBucketResult/Name.

NextKeyMarker

Value to substitute into the key-marker query parameter to get the next part of the list, if the entire list does not fit into the current response.

Path: /ListBucketResult/NextMarker.

NextVersionIdMarker

Value to substitute into the version-id-marker query parameter to get the next part of the list, if the entire list does not fit into the current response.

Path: /ListBucketResult/NextVersionIdMarker.

Prefix

Value of the prefix request parameter.

Path: /ListBucketResult/Prefix.

Version

Object version.

Path: /ListBucketResult/Version.

VersionIdMarker

Marks the last version of the key returned in the truncated response.

Path: /ListBucketResult/VersionIdMarker.

Related articlesRelated articles

  • Bucket in Object Storage

  • Object lock

  • Restoring an object version in a versioned bucket

Useful linksUseful links

  • Getting started with the AWS S3 API in Yandex Object Storage

  • Debugging requests using the AWS CLI

  • Example of sending a signed request using curl

  • Code example for generating a signature

Was the article helpful?

Previous
GetBucketLogging
Next
PutObjectLockConfiguration
© 2026 Direct Cursus Technology L.L.C.